Informationen zum Sicherheitsinhalt von OS X El Capitan 10.11.2, zum Sicherheitsupdate 2015-005 Yosemite und zum Sicherheitsupdate 2015-008 Mavericks

Dieses Dokument beschreibt den Sicherheitsinhalt von OS X El Capitan 10.11.2, das Sicherheitsupdate 2015-005 Yosemite und das Sicherheitsupdate 2015-008 Mavericks.

Zum Schutz unserer Kunden werden Sicherheitsprobleme von Apple erst dann bekannt gegeben, diskutiert und bestätigt, wenn eine vollständige Untersuchung stattgefunden hat und alle erforderlichen Patches oder Programmversionen verfügbar sind. Nähere Informationen zur Apple-Produktsicherheit finden Sie auf der Website Apple-Produktsicherheit.

Informationen zum Apple PGP-Schlüssel für die Produktsicherheit finden Sie unter Verwenden des PGP-Schlüssels für die Apple-Produktsicherheit.

Nach Möglichkeit werden zur vereinfachten Bezugnahme auf die Schwachstellen CVE-IDs verwendet.

Informationen zu weiteren Sicherheitsupdates finden Sie unter Apple-Sicherheitsupdates.

OS X El Capitan 10.11.2, Sicherheitsupdate 2015-005 Yosemite und Sicherheitsupdate 2015-008 Mavericks

  • apache_mod_php

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Mehrere Schwachstellen in PHP

    Beschreibung: In PHP 5.5.29 existierten mehrere Schwachstellen, die im schlimmsten Fall zur Codeausführung durch einen entfernten Angreifer führen konnten. Diese Probleme wurden durch die Aktualisierung von PHP auf Version 5.5.30 behoben.

    CVE-ID

    CVE-2015-7803

    CVE-2015-7804

  • AppSandbox

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein Schadprogramm kann den Zugriff auf Kontakte aufrechterhalten, nachdem der Zugriff entzogen wurde

    Beschreibung: Bei der Verarbeitung von harten Links in der Sandbox bestand ein Problem. Dieses Problem wurde durch eine verbesserte Härtung der Sandbox-App behoben.

    CVE-ID

    CVE-2015-7001: Razvan Deaconescu und Mihai Bucicoiu von der Polytechnischen Universität Bukarest; Luke Deshotels und William Enck von der North Carolina State University; Lucas Vincenzo Davi und Ahmad-Reza Sadeghi von der TU Darmstadt

  • Bluetooth

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Systemrechten ausführen

    Beschreibung: An Bluetooth HCI-Schnittstelle bestand ein Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7108: Ian Beer von Google Project Zero

  • CFNetwork HTTPProtocol

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein Angreifer mit privilegierter Netzwerkposition kann HSTS umgehen

    Beschreibung: Bei der URL-Verarbeitung bestand ein Problem mit der Eingabeüberprüfung. Dieses Problem wurde durch eine verbesserte URL-Überprüfung behoben.

    CVE-ID

    CVE-2015-7094: Tsubasa Iinuma (@llamakko_cafe) von Gehirn Inc. und Muneaki Nishimura (nishimunea)

  • Compression

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Der Besuch einer in böser Absicht erstellten Website kann zur Ausführung willkürlichen Codes führen

    Beschreibung: In zlib bestand ein Problem mit nicht initialisiertem Speicherzugriff. Dieses Problem wurde durch eine verbesserte Speicherinitialisierung und eine zusätzliche Validierung von zlib-Streams behoben.

    CVE-ID

    CVE-2015-7054: j00ru

  • Konfigurationsprofile

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Angreifer kann ein Konfigurationsprofil ohne Administratorrechte installieren

    Beschreibung: Bei der Installation von Konfigurationsprofilen bestand ein Problem. Dieses Problem wurde durch eine verbesserte Autorisierungsprüfung behoben.

    CVE-ID

    CVE-2015-7062: David Mulder von Dell Software

  • CoreGraphics

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Die Verarbeitung einer in böser Absicht erstellten Schriftdatei kann zur Ausführung willkürlichen Codes führen

    Beschreibung: Bei der Verarbeitung von Schriftdateien konnte es zu einem Speicherfehler kommen. Dieses Problem wurde durch eine verbesserte Eingabeüberprüfung behoben.

    CVE-ID

    CVE-2015-7105: John Villamil (@day6reak), Yahoo Pentest Team

  • CoreMedia Playback

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Der Besuch einer in böser Absicht erstellten Website kann zur Ausführung willkürlichen Codes führen

    Beschreibung: Bei der Verarbeitung von fehlerhaften Mediendateien kam es zu mehreren Speicherfehlern. Diese Probleme wurden durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7074: Apple

    CVE-2015-7075

  • Images

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Kernel-Rechten ausführen

    Beschreibung: Bei der Analyse von Images kam es zu einem Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7110: Ian Beer von Google Project Zero

  • EFI

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Systemrechten ausführen

    Beschreibung: Im Kernel-Loader bestand ein Problem mit der Pfadvalidierung. Dieses wurde durch eine verbesserte Umgebungssäuberung behoben.

    CVE-ID

    CVE-2015-7063: Apple

  • Dateilesezeichen

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein in der Sandbox ausgeführter Prozess kann Sandbox-Einschränkungen umgehen

    Beschreibung: In den App-Scoped Bookmarks bestand ein Problem mit der Pfadüberprüfung. Dieses wurde durch eine verbesserte Umgebungssäuberung behoben.

    CVE-ID

    CVE-2015-7071: Apple

  • Hypervisor

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Systemrechten ausführen

    Beschreibung: Bei der Verarbeitung von Seitenobjekten trat ein Use-after-free-Problem auf. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7078: Ian Beer von Google Project Zero

  • iBooks

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Die Analyse einer in böser Absicht erstellten iBooks-Datei kann zur Preisgabe von Benutzerinformationen führen

    Beschreibung: Bei der iBook-Analyse bestand ein Referenzierungsproblem externer XML-Entitäten. Dieses Problem wurde durch eine verbesserte Analyse behoben.

    CVE-ID

    CVE-2015-7081: Behrouz Sadeghipour (@Nahamsec) und Patrik Fehrenbach (@ITSecurityguard)

  • ImageIO

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Die Verarbeitung einer in böser Absicht erstellten Bilddatei kann zur Ausführung willkürlichen Codes führen

    Beschreibung: In ImageIO bestand ein Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7053: Apple

  • Intel-Grafiktreiber

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Systemrechten ausführen

    Beschreibung: Es wurde ein Problem mit einem Rückverweis auf einen Nullzeiger behoben, indem eine bessere Eingabeüberprüfung erfolgt.

    CVE-ID

    CVE-2015-7076: Juwei Lin von TrendMicro, beist und ABH von BoB und JeongHoon Shin@A.D.D

  • Intel-Grafiktreiber

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Systemrechten ausführen

    Beschreibung: Beim Intel-Grafiktreiber kam es zu einem Speicherproblem. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7106: Ian Beer von Google Project Zero, Juwei Lin von TrendMicro, beist und ABH von BoB und JeongHoon Shin@A.D.D

  • Intel-Grafiktreiber

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Systemrechten ausführen

    Beschreibung: Beim Intel-Grafiktreiber bestand ein Problem mit grenzüberschreitendem Speicherzugriff. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7077: Ian Beer von Google Project Zero

  • IOAcceleratorFamily

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein in böswilliger Absicht erstelltes Programm kann möglicherweise willkürlichen Code mit Systemrechten ausführen

    Beschreibung: In IOAcceleratorFamily kam es zu einem Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7109: Juwei Lin von TrendMicro

  • IOHIDFamily

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein in böswilliger Absicht erstelltes Programm kann möglicherweise willkürlichen Code mit Systemrechten ausführen

    Beschreibung: In der IOHIDFamily API gab es mehrere Speicherfehler. Diese Probleme wurden durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7111: beist und ABH von BoB

    CVE-2015-7112: Ian Beer von Google Project Zero

  • IOKit SCSI

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein Schadprogramm kann willkürlichen Code mit Kernelrechten ausführen

    Beschreibung: Bei der Verarbeitung eines bestimmten Userclient-Typs gab es einen Rückverweis auf einen Nullzeiger. Dieses Problem wurde durch eine verbesserte Überprüfung behoben.

    CVE-ID

    CVE-2015-7068: Ian Beer von Google Project Zero

  • IOThunderboltFamily

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann einen Denial-of-Service des Systems verursachen

    Beschreibung: Bei der Verarbeitung bestimmter Userclient-Typen in IOThunderboltFamily gab es einen Rückverweis auf einen Null-Zeiger. Dieses Problem wurde durch eine verbesserte Überprüfung von IOThunderboltFamily-Kontexten behoben.

    CVE-ID

    CVE-2015-7067: Juwei Lin von TrendMicro

  • Kernel

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokales Programm kann einen Denial-of-Service-Angriff verursachen

    Beschreibung: Mehrere Denial-of-Service-Probleme wurden durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7040: Lufeng Li vom Qihoo 360 Vulcan Team

    CVE-2015-7041: Lufeng Li vom Qihoo 360 Vulcan Team

    CVE-2015-7042: Lufeng Li vom Qihoo 360 Vulcan Team

    CVE-2015-7043: Tarjei Mandt (@kernelpool)

  • Kernel

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Kernel-Rechten ausführen

    Beschreibung: Im Kernel gab es mehrere Speicherfehler. Diese Probleme wurden durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7083: Ian Beer von Google Project Zero

    CVE-2015-7084: Ian Beer von Google Project Zero

  • Kernel

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Kernel-Rechten ausführen

    Beschreibung: Beim Analysieren von Mach-Nachrichten bestand ein Problem. Dieses Problem wurde durch eine verbesserte Validierung von Mach-Nachrichten behoben.

    CVE-ID

    CVE-2015-7047: Ian Beer von Google Project Zero

  • kext tools

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein lokaler Benutzer kann willkürlichen Code mit Kernel-Rechten ausführen

    Beschreibung: Während des Ladens von Kernel-Erweiterungen trat ein Validierungsproblem auf. Dieses Problem wurde durch eine zusätzliche Überprüfung behoben.

    CVE-ID

    CVE-2015-7052: Apple

  • Schlüsselbundverwaltung

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein Schadprogramm kann sich als Keychain Server ausgeben.

    Beschreibung: Es bestand ein Problem bei der Interaktion zwischen Schlüsselbundverwaltung und Keychain Agent. Dieses Problem wurde behoben, indem alte Funktionen entfernt wurden.

    CVE-ID

    CVE-2015-7045: Luyi Xing und XiaoFeng Wang von der Indiana University Bloomington, Xiaolong Bai von der Indiana University Bloomington und der Universität Tsinghua, Tongxin Li von der Universität Peking, Kai Chen von der Indiana University Bloomington und dem Institute of Information Engineering, Xiaojing Liao vom Georgia Institute of Technology, Shi-Min Hu von der Universität Tsinghua und Xinhui Han von der Universität Peking

  • libarchive

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Der Besuch einer in böser Absicht erstellten Website kann zur Ausführung willkürlichen Codes führen

    Beschreibung: Bei der Verarbeitung von Archiven kam es zu einem Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2011-2895: @practicalswift

  • libc

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Die Verarbeitung eines in böser Absicht erstellten Pakets kann zur Ausführung willkürlichen Codes führen

    Beschreibung: In der C-Standard-Bibliothek gab es mehrere Pufferüberläufe. Diese Probleme wurden durch eine verbesserte Abgrenzungsüberprüfung behoben.

    CVE-ID

    CVE-2015-7038: Brian D. Wells von E. W. Scripps, Narayan Subramanian von Symantec Corporation/Veritas LLC

    CVE-2015-7039: Maksymilian Arciemowicz (CXSECURITY.COM)

    Eintrag aktualisiert am 3. März 2017
  • libexpat

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Mehrere Schwachstellen in expat

    Beschreibung: In expat-Versionen vor Version 2.1.0 gab es mehrere Schwachstellen. Diese wurden durch eine Aktualisierung von expat auf Version 2.1.0 behoben.

    CVE-ID

    CVE-2012-0876: Vincent Danen

    CVE-2012-1147: Kurt Seifried

    CVE-2012-1148: Kurt Seifried

  • libxml2

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Die Analyse eines in böser Absicht erstellten XML-Dokuments kann zur Preisgabe von Benutzerdaten führen

    Beschreibung: Bei der Analyse von XML-Dateien kam es zu einem Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7115: Wei Lei und Liu Yang von der Nanyang Technological University

    CVE-2015-7116: Wei Lei und Liu Yang von der Nanyang Technological University

  • OpenGL

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Der Besuch einer in böser Absicht erstellten Website kann zur Ausführung willkürlichen Codes führen

    Beschreibung: In OpenGL kam es zu mehreren Speicherfehlern. Diese Probleme wurden durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7064: Apple

    CVE-2015-7065: Apple

    CVE-2015-7066: Tongbo Luo und Bo Qu von Palo Alto Networks

  • OpenLDAP

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein entfernter nicht authentifizierter Client kann einen Denial-of-Service-Angriff verursachen

    Beschreibung: In OpenLDAP bestand ein Problem mit der Eingabeüberprüfung. Dieses Problem wurde durch eine verbesserte Eingabeüberprüfung behoben.

    CVE-ID

    CVE-2015-6908

  • OpenSSH

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Mehrere Schwachstellen in LibreSSL

    Beschreibung: Bei LibreSSL bestanden mehrere Schwachstellen in den Versionen vor 2.1.8. Diese wurden durch Aktualisierung von LibreSSL auf Version 2.1.8 behoben.

    CVE-ID

    CVE-2015-5333

    CVE-2015-5334

  • QuickLook

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Das Öffnen einer in böser Absicht erstellten iWork-Datei kann zur Ausführung willkürlichen Codes führen

    Beschreibung: Bei der Verarbeitung von iWork-Dateien kam es zu einem Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7107

  • Sandbox

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein Schadprogramm mit Root-Rechten kann die Kernel-ASLR (Address Space Layout Randomization) umgehen

    Beschreibung: In xnu bestand ein Problem mit einer unzureichenden Rechtetrennung. Dieses Problem wurde durch verbesserte Autorisierungsprüfungen behoben.

    CVE-ID

    CVE-2015-7046: Apple

  • Sicherheit

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein entfernter Angreifer kann einen unerwarteten Programmabbruch oder die Ausführung willkürlichen Codes verursachen

    Beschreibung: Bei der Verarbeitung von SLL-Handshakes kam es zu einem Speicherfehler. Dieses Problem wurde durch eine verbesserte Speicherverwaltung behoben.

    CVE-ID

    CVE-2015-7073: Benoit Foucher von ZeroC, Inc.

  • Sicherheit

    Verfügbar für: OS X Mavericks 10.9.5 und OS X Yosemite 10.10.5

    Auswirkung: Die Verarbeitung eines in böser Absicht erstellten Zertifikats kann zur Ausführung willkürlichen Codes führen

    Beschreibung: Im ASN.1 Decoder bestanden mehrere Speicherfehler. Diese Probleme wurden durch eine verbesserte Eingabeüberprüfung behoben.

    CVE-ID

    CVE-2015-7059: David Keeler von Mozilla

    CVE-2015-7060: Tyson Smith von Mozilla

    CVE-2015-7061: Ryan Sleevi von Google

  • Sicherheit

    Verfügbar für: OS X Mavericks 10.9.5, OS X Yosemite 10.10.5, OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein Schadprogramm kann Zugriff auf die Schlüsselbundobjekte eines Benutzers erhalten

    Beschreibung: Es bestand ein Problem mit der Überprüfung von Zugriffssteuerungslisten für Schlüsselbundobjekte. Dieses Problem wurde durch eine verbesserte Überprüfung der Zugriffssteuerungslisten behoben.

    CVE-ID

    CVE-2015-7058

  • Schutz der Systemintegrität

    Verfügbar für: OS X El Capitan 10.11 und 10.11.1

    Auswirkung: Ein Schadprogramm mit Root-Rechten kann willkürlichen Code mit Systemrechten ausführen

    Beschreibung: Es bestand ein Problem mit den Rechten bei der Verarbeitung von Union Mounts. Dieses Problem wurde durch verbesserte Autorisierungsprüfungen behoben.

    CVE-ID

    CVE-2015-7044: MacDefender

Notizen

  • Sicherheitsupdate 2015-005 bzw. 2015-008 wird allen Benutzern empfohlen und verbessert die Sicherheit von OS X. Nach der Installation des Updates wird das Webbrowser-Plug-In von QuickTime 7 nicht mehr standardmäßig aktiviert. Hier erfahren Sie, ob Sie dieses ältere Plug-In noch benötigen.

  • OS X El Capitan 10.11.2 enthält den Sicherheitsinhalt von Safari 9.0.2.

Informationen zu nicht von Apple gefertigten Produkten sowie nicht von Apple gesteuerte oder geprüfte unabhängige Websites werden ohne Empfehlung und Unterstützung zur Verfügung gestellt. Apple übernimmt keine Verantwortung für die Auswahl, Leistung oder Nutzung von Websites und Produkten Dritter. Apple übernimmt keine Garantie für die Richtigkeit und Zuverlässigkeit von Drittanbieter-Websites. Die Nutzung des Internets birgt Risiken. Kontaktieren Sie den Hersteller, um zusätzliche Informationen zu erhalten. Andere Produkt- und Firmennamen sind möglicherweise Marken ihrer jeweiligen Eigentümer.

Veröffentlichungsdatum: